curl -X PATCH "https://api.whatabot.app/api/v1/kanban/cards/card-uuid" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"values": {"amount": 3000.00}, "tags": ["priority"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": "session-uuid",
"tags": ["priority"],
"values": {
"name": "Jane Doe",
"amount": 3000.00,
"status": "qualified"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T12:30:00.000Z"
}
Kanban
Update Card
Update values or tags of a card.
PATCH
/
v1
/
kanban
/
cards
/
{id}
curl -X PATCH "https://api.whatabot.app/api/v1/kanban/cards/card-uuid" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"values": {"amount": 3000.00}, "tags": ["priority"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": "session-uuid",
"tags": ["priority"],
"values": {
"name": "Jane Doe",
"amount": 3000.00,
"status": "qualified"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T12:30:00.000Z"
}
Updates the fields of an existing card.
string
required
Your API key (prefixed with
wh_).string
required
Card UUID.
Body
object
New card field values.
string[]
New list of tags (replaces existing tags).
Payload examples
- Update values
- Update tags
{
"values": {
"amount": 3000.00,
"status": "qualified"
}
}
{
"tags": ["enterprise", "priority"]
}
curl -X PATCH "https://api.whatabot.app/api/v1/kanban/cards/card-uuid" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"values": {"amount": 3000.00}, "tags": ["priority"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": "session-uuid",
"tags": ["priority"],
"values": {
"name": "Jane Doe",
"amount": 3000.00,
"status": "qualified"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T12:30:00.000Z"
}